Bug 333675 - Muon Discover crash when clicking Sources Tab
Summary: Muon Discover crash when clicking Sources Tab
Status: RESOLVED FIXED
Alias: None
Product: muon
Classification: Unclassified
Component: libqapt (show other bugs)
Version: 2.2.0
Platform: Kubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Jonathan Thomas
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-21 08:21 UTC by Bob Treat
Modified: 2014-04-28 05:38 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.2.1


Attachments
New crash information added by DrKonqi (11.22 KB, text/plain)
2014-04-28 05:38 UTC, umersm401
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Treat 2014-04-21 08:21:53 UTC
Application: muon-discover (2.2.0)
KDE Platform Version: 4.13.0
Qt Version: 4.8.6
Operating System: Linux 3.13.0-24-generic i686
Distribution: Ubuntu 14.04 LTS

-- Information about the crash:
- What I was doing when the application crashed: I was simply clicking the sources tab, does it everytime I click it.

The crash can be reproduced every time.

-- Backtrace:
Application: Muon Discover (muon-discover), signal: Aborted
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb141e740 (LWP 16253))]

Thread 5 (Thread 0xae92cb40 (LWP 16255)):
#0  0xb77bd424 in __kernel_vsyscall ()
#1  0xb25c2d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb5ade8ec in __pthread_cond_wait (cond=0xb33db8d0, mutex=0xb33db8b8) at forward.c:149
#3  0xb32d8c92 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0xb32d8cdf in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0xb25bef70 in start_thread (arg=0xae92cb40) at pthread_create.c:312
#6  0xb5ad170e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 4 (Thread 0xadb0eb40 (LWP 16256)):
#0  0xb24e81e8 in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb24d93e8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb24d9528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb5e2595f in QEventDispatcherGlib::processEvents (this=0xad200468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#4  0xb5df4823 in QEventLoop::processEvents (this=this@entry=0xadb0e258, flags=...) at kernel/qeventloop.cpp:149
#5  0xb5df4b49 in QEventLoop::exec (this=this@entry=0xadb0e258, flags=...) at kernel/qeventloop.cpp:204
#6  0xb5ce123d in QThread::exec (this=this@entry=0x8d48730) at thread/qthread.cpp:537
#7  0xb5dd4c44 in QInotifyFileSystemWatcherEngine::run (this=0x8d48730) at io/qfilesystemwatcher_inotify.cpp:265
#8  0xb5ce3b6f in QThreadPrivate::start (arg=0x8d48730) at thread/qthread_unix.cpp:349
#9  0xb25bef70 in start_thread (arg=0xadb0eb40) at pthread_create.c:312
#10 0xb5ad170e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 3 (Thread 0xa2f63b40 (LWP 16259)):
#0  0xb77bd424 in __kernel_vsyscall ()
#1  0xb5adf392 in __GI___clock_gettime (clock_id=1, tp=0xa2f63028) at ../sysdeps/unix/clock_gettime.c:115
#2  0xb5d3e8cc in do_gettime (frac=0xa2f63020, sec=0xa2f63018) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb5e272a2 in updateCurrentTime (this=0xa25026e4) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0xa25026e4, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb5e2582b in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa2f6311c) at kernel/qeventdispatcher_glib.cpp:143
#7  0xb5e258bd in timerSourcePrepare (source=0xa25026b0, timeout=0xa2f6311c) at kernel/qeventdispatcher_glib.cpp:176
#8  0xb24d89b3 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb24d92df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb24d9528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#11 0xb5e2595f in QEventDispatcherGlib::processEvents (this=0xa2500468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#12 0xb5df4823 in QEventLoop::processEvents (this=this@entry=0xa2f63288, flags=...) at kernel/qeventloop.cpp:149
#13 0xb5df4b49 in QEventLoop::exec (this=this@entry=0xa2f63288, flags=...) at kernel/qeventloop.cpp:204
#14 0xb5ce123d in QThread::exec (this=this@entry=0x92cd1f8) at thread/qthread.cpp:537
#15 0xb5ce138b in QThread::run (this=0x92cd1f8) at thread/qthread.cpp:604
#16 0xb5ce3b6f in QThreadPrivate::start (arg=0x92cd1f8) at thread/qthread_unix.cpp:349
#17 0xb25bef70 in start_thread (arg=0xa2f63b40) at pthread_create.c:312
#18 0xb5ad170e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 2 (Thread 0xa2353b40 (LWP 16261)):
#0  0xb77bd424 in __kernel_vsyscall ()
#1  0xb5ac27ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb24e820b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb24d93e8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb24d9528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb5e2595f in QEventDispatcherGlib::processEvents (this=0xa1700468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb5df4823 in QEventLoop::processEvents (this=this@entry=0xa2353288, flags=...) at kernel/qeventloop.cpp:149
#7  0xb5df4b49 in QEventLoop::exec (this=this@entry=0xa2353288, flags=...) at kernel/qeventloop.cpp:204
#8  0xb5ce123d in QThread::exec (this=this@entry=0x93217f8) at thread/qthread.cpp:537
#9  0xb5ce138b in QThread::run (this=0x93217f8) at thread/qthread.cpp:604
#10 0xb5ce3b6f in QThreadPrivate::start (arg=0x93217f8) at thread/qthread_unix.cpp:349
#11 0xb25bef70 in start_thread (arg=0xa2353b40) at pthread_create.c:312
#12 0xb5ad170e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 1 (Thread 0xb141e740 (LWP 16253)):
[KCrash Handler]
#7  0xb77bd424 in __kernel_vsyscall ()
#8  0xb5a13827 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#9  0xb5a16c53 in __GI_abort () at abort.c:89
#10 0xb5cd8d73 in qt_message_output (msgType=QtFatalMsg, buf=0x9bac1f8 "ASSERT: \"uint(i) < uint(size())\" in file /usr/include/qt4/QtCore/qstring.h, line 699") at global/qglobal.cpp:2383
#11 0xb5cd9127 in qt_message (msgType=msgType@entry=QtFatalMsg, msg=msg@entry=0xb5e5deac "ASSERT: \"%s\" in file %s, line %d", ap=ap@entry=0xbff27574 "f\220d\242") at global/qglobal.cpp:2429
#12 0xb5cd9658 in qFatal (msg=msg@entry=0xb5e5deac "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2612
#13 0xb5cd96d5 in qt_assert (assertion=assertion@entry=0xa2649066 "uint(i) < uint(size())", file=0xa2648d00 "/usr/include/qt4/QtCore/qstring.h", line=line@entry=699) at global/qglobal.cpp:2057
#14 0xa263c905 in at (i=0, this=0xbff275e4) at /usr/include/qt4/QtCore/qstring.h:699
#15 QApt::SourceEntryPrivate::parseData (this=this@entry=0x9c6fcd0, data=...) at /build/buildd/libqapt-2.1.70/src/sourceentry.cpp:90
#16 0xa263d48f in SourceEntryPrivate (fileName=..., lineData=..., this=0x9c6fcd0) at /build/buildd/libqapt-2.1.70/src/sourceentry.cpp:50
#17 QApt::SourceEntry::SourceEntry (this=0xbff276d0, line=..., file=...) at /build/buildd/libqapt-2.1.70/src/sourceentry.cpp:161
#18 0xa2641c92 in QApt::SourcesListPrivate::load (this=this@entry=0x9ea9cc8, filePath=...) at /build/buildd/libqapt-2.1.70/src/sourceslist.cpp:124
#19 0xa2642335 in QApt::SourcesListPrivate::reload (this=this@entry=0x9ea9cc8) at /build/buildd/libqapt-2.1.70/src/sourceslist.cpp:107
#20 0xa26425df in QApt::SourcesList::SourcesList (this=0x9c65c98, parent=0x0) at /build/buildd/libqapt-2.1.70/src/sourceslist.cpp:47
#21 0xa26efecf in OriginsBackend::OriginsBackend (this=0x9c65c90, parent=0x0) at /build/buildd/muon-2.2.0/libmuonapt/declarative/OriginsBackend.cpp:43
#22 0xa26ee698 in QDeclarativeElement (this=0x9c65c90) at /usr/include/qt4/QtDeclarative/qdeclarativeprivate.h:87
#23 QDeclarativePrivate::createInto<OriginsBackend> (memory=0x9c65c90) at /usr/include/qt4/QtDeclarative/qdeclarativeprivate.h:96
#24 0xb727d116 in QDeclarativeVME::run (this=this@entry=0xbff28e10, stack=..., ctxt=ctxt@entry=0x9e57990, comp=comp@entry=0x9373368, start=105, start@entry=0, count=count@entry=187, bindingSkipList=...) at qml/qdeclarativevme.cpp:287
#25 0xb72818fb in QDeclarativeVME::run (this=this@entry=0xbff28e10, ctxt=0x9e57990, comp=comp@entry=0x9373368, start=0, start@entry=-1, count=187, count@entry=-1, bindingSkipList=...) at qml/qdeclarativevme.cpp:133
#26 0xb7273be9 in QDeclarativeComponentPrivate::begin (parentContext=parentContext@entry=0x8f3a718, componentCreationContext=0x8f3a718, component=0x9373368, start=-1, count=-1, state=state@entry=0x9336294, errors=errors@entry=0x0, bindings=...) at qml/qdeclarativecomponent.cpp:871
#27 0xb72740bc in QDeclarativeComponentPrivate::beginCreate (this=0x9336228, context=0x8f3a718, bindings=...) at qml/qdeclarativecomponent.cpp:836
#28 0xb72741a1 in QDeclarativeComponent::beginCreate (this=0x93361d8, context=0x8db05e8) at qml/qdeclarativecomponent.cpp:798
#29 0xb727271c in QDeclarativeComponentPrivate::createObject (this=this@entry=0x9336228, publicParent=publicParent@entry=0x8fc8c58, valuemap=...) at qml/qdeclarativecomponent.cpp:693
#30 0xb7272d47 in QDeclarativeComponent::createObject (this=this@entry=0x93361d8, parent=0x8fc8c58) at qml/qdeclarativecomponent.cpp:667
#31 0xb737a703 in QDeclarativeComponent::qt_static_metacall (_o=_o@entry=0x93361d8, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=3, _a=_a@entry=0xbff290d0) at .moc/release-shared/moc_qdeclarativecomponent.cpp:94
#32 0xb737a996 in QDeclarativeComponent::qt_metacall (this=0x93361d8, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbff290d0) at .moc/release-shared/moc_qdeclarativecomponent.cpp:136
#33 0xb5dfce85 in QMetaObject::metacall (object=0x93361d8, cl=cl@entry=QMetaObject::InvokeMetaMethod, idx=7, argv=argv@entry=0xbff290d0) at kernel/qmetaobject.cpp:245
#34 0xb7305a29 in QDeclarativeObjectMethodScriptClass::callMethod (this=0x8d470d0, object=0x93361d8, index=7, returnType=293, argCount=1, argTypes=0xbff29264, ctxt=0xadc04110) at qml/qdeclarativeobjectscriptclass.cpp:970
#35 0xb730780e in QDeclarativeObjectMethodScriptClass::callPrecise (this=0x8d470d0, object=0x93361d8, data=..., ctxt=ctxt@entry=0xadc04110) at qml/qdeclarativeobjectscriptclass.cpp:944
#36 0xb7307e9f in QDeclarativeObjectMethodScriptClass::callOverloaded (this=this@entry=0x8d470d0, method=method@entry=0x975ce20, ctxt=ctxt@entry=0xadc04110) at qml/qdeclarativeobjectscriptclass.cpp:1064
#37 0xb730815d in QDeclarativeObjectMethodScriptClass::call (this=0x8d470d0, o=0x975ce20, ctxt=0xadc04110) at qml/qdeclarativeobjectscriptclass.cpp:919
#38 0xb33572e4 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#39 0xb32401e3 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#40 0xb321b45c in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#41 0xad30d7c3 in ?? ()
#42 0xb31d6a82 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#43 0xb326e1c6 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#44 0xb3240247 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#45 0xb333657a in QScriptValue::call(QScriptValue const&, QList<QScriptValue> const&) () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#46 0xb7266a6a in QDeclarativeQtScriptExpression::eval (this=this@entry=0x8fe0874, secondaryScope=secondaryScope@entry=0x0, isUndefined=isUndefined@entry=0x0) at qml/qdeclarativeexpression.cpp:518
#47 0xb7269105 in QDeclarativeQtScriptExpression::scriptValue (this=this@entry=0x8fe0874, secondaryScope=0x0, isUndefined=0x0) at qml/qdeclarativeexpression.cpp:470
#48 0xb72693fa in QDeclarativeExpressionPrivate::scriptValue (this=0x8fe0828, secondaryScope=secondaryScope@entry=0x0, isUndefined=isUndefined@entry=0x0) at qml/qdeclarativeexpression.cpp:653
#49 0xb726953f in QDeclarativeExpressionPrivate::value (this=0x8fe0828, secondaryScope=0x0, isUndefined=isUndefined@entry=0x0) at qml/qdeclarativeexpression.cpp:667
#50 0xb72a459f in QDeclarativeBoundSignal::qt_metacall (this=0x8fab470, c=QMetaObject::InvokeMetaMethod, id=5, a=0xbff29988) at qml/qdeclarativeboundsignal.cpp:199
#51 0xb5dfce85 in QMetaObject::metacall (object=object@entry=0x8fab470, cl=cl@entry=QMetaObject::InvokeMetaMethod, idx=5, argv=0xbff29988) at kernel/qmetaobject.cpp:245
#52 0xb5e0b40d in QMetaObject::activate (sender=sender@entry=0x8ef87a8, m=m@entry=0x8f7871c, local_signal_index=local_signal_index@entry=7, argv=argv@entry=0x0) at kernel/qobject.cpp:3569
#53 0xb5e0baa8 in QMetaObject::activate (sender=0x8ef87a8, signal_index=signal_index@entry=39, argv=argv@entry=0x0) at kernel/qobject.cpp:3626
#54 0xb7252c59 in QDeclarativeVMEMetaObject::metaCall (this=0x8f78718, c=QMetaObject::WriteProperty, _id=48, a=0xbff29b00) at qml/qdeclarativevmemetaobject.cpp:564
#55 0xb5dfce85 in QMetaObject::metacall (object=object@entry=0x8ef87a8, cl=cl@entry=QMetaObject::WriteProperty, idx=idx@entry=48, argv=argv@entry=0xbff29b00) at kernel/qmetaobject.cpp:245
#56 0xb727097a in QDeclarativePropertyPrivate::write (object=0x8ef87a8, property=..., value=..., context=0x8d987c0, flags=...) at qml/qdeclarativeproperty.cpp:1176
#57 0xb73040cb in QDeclarativeObjectScriptClass::setProperty (this=this@entry=0x8d470c8, obj=0x8ef87a8, name=@0xbff29c64: 0xae06f620, value=..., context=context@entry=0xadc04048, evalContext=<optimized out>, evalContext@entry=0x0) at qml/qdeclarativeobjectscriptclass.cpp:439
#58 0xb73046ff in QDeclarativeObjectScriptClass::setProperty (this=0x8d470c8, object=0x8db2720, name=@0xbff29c64: 0xae06f620, value=...) at qml/qdeclarativeobjectscriptclass.cpp:329
#59 0xb335774c in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#60 0xb333f687 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#61 0xb32221be in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#62 0xa18025af in ?? ()
#63 0xb31d6a82 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#64 0xb326e1c6 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#65 0xb3240247 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#66 0xb333657a in QScriptValue::call(QScriptValue const&, QList<QScriptValue> const&) () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#67 0xb7266a6a in QDeclarativeQtScriptExpression::eval (this=this@entry=0x8db6984, secondaryScope=secondaryScope@entry=0x94ed1c8, isUndefined=isUndefined@entry=0x0) at qml/qdeclarativeexpression.cpp:518
#68 0xb7269105 in QDeclarativeQtScriptExpression::scriptValue (this=this@entry=0x8db6984, secondaryScope=0x94ed1c8, isUndefined=0x0) at qml/qdeclarativeexpression.cpp:470
#69 0xb72693fa in QDeclarativeExpressionPrivate::scriptValue (this=0x8db6938, secondaryScope=secondaryScope@entry=0x94ed1c8, isUndefined=isUndefined@entry=0x0) at qml/qdeclarativeexpression.cpp:653
#70 0xb726953f in QDeclarativeExpressionPrivate::value (this=0x8db6938, secondaryScope=0x94ed1c8, isUndefined=isUndefined@entry=0x0) at qml/qdeclarativeexpression.cpp:667
#71 0xb72a459f in QDeclarativeBoundSignal::qt_metacall (this=0x8d632b0, c=QMetaObject::InvokeMetaMethod, id=5, a=0xbff2a214) at qml/qdeclarativeboundsignal.cpp:199
#72 0xb5dfce85 in QMetaObject::metacall (object=object@entry=0x8d632b0, cl=cl@entry=QMetaObject::InvokeMetaMethod, idx=5, argv=0xbff2a214) at kernel/qmetaobject.cpp:245
#73 0xb5e0b40d in QMetaObject::activate (sender=sender@entry=0x8dbdce8, m=0x8071a60 <KAction::staticMetaObject>, m@entry=0xb70ca840 <KAction::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0xbff2a214) at kernel/qobject.cpp:3569
#74 0xb6db303d in KAction::triggered (this=0x8dbdce8, _t1=..., _t2=...) at ./kaction.moc:163
#75 0xb6db30ec in KActionPrivate::slotTriggered (this=0x8db38c0) at ../../kdeui/actions/kaction.cpp:72
#76 0xb6db3257 in KAction::qt_static_metacall (_o=_o@entry=0x8dbdce8, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbff2a368) at ./kaction.moc:79
#77 0xb5e0b0f7 in QMetaObject::activate (sender=sender@entry=0x8dbdce8, m=m@entry=0xb6cac718 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0xbff2a368) at kernel/qobject.cpp:3539
#78 0xb634b72d in QAction::triggered (this=this@entry=0x8dbdce8, _t1=true) at .moc/release-shared/moc_qaction.cpp:276
#79 0xb634d324 in QAction::activate (this=0x8dbdce8, event=event@entry=QAction::Trigger) at kernel/qaction.cpp:1257
#80 0xb683c870 in trigger (this=<optimized out>) at ../../include/QtGui/../../src/gui/kernel/qaction.h:218
#81 QToolButton::nextCheckState (this=0x8f2b420) at widgets/qtoolbutton.cpp:1152
#82 0xb676adf3 in QAbstractButtonPrivate::click (this=this@entry=0x93c8948) at widgets/qabstractbutton.cpp:530
#83 0xb676af3e in QAbstractButton::mouseReleaseEvent (this=this@entry=0x8f2b420, e=e@entry=0xbff2a884) at widgets/qabstractbutton.cpp:1123
#84 0xb683c7e7 in QToolButton::mouseReleaseEvent (this=0x8f2b420, e=0xbff2a884) at widgets/qtoolbutton.cpp:723
#85 0xb63ac3fa in QWidget::event (this=this@entry=0x8f2b420, event=event@entry=0xbff2a884) at kernel/qwidget.cpp:8376
#86 0xb676bf42 in QAbstractButton::event (this=this@entry=0x8f2b420, e=e@entry=0xbff2a884) at widgets/qabstractbutton.cpp:1082
#87 0xb683c8d4 in QToolButton::event (this=0x8f2b420, event=0xbff2a884) at widgets/qtoolbutton.cpp:1168
#88 0xb63527f4 in QApplicationPrivate::notify_helper (this=0x8c1a078, receiver=receiver@entry=0x8f2b420, e=0xbff2a884) at kernel/qapplication.cpp:4567
#89 0xb635aea0 in QApplication::notify (this=0xbff2ae10, receiver=receiver@entry=0x8f2b420, e=e@entry=0xbff2a884) at kernel/qapplication.cpp:4110
#90 0xb6ea20a4 in KApplication::notify (this=0xbff2ae10, receiver=0x8f2b420, event=0xbff2a884) at ../../kdeui/kernel/kapplication.cpp:311
#91 0xb5df5e4a in QCoreApplication::notifyInternal (this=0xbff2ae10, receiver=receiver@entry=0x8f2b420, event=event@entry=0xbff2a884) at kernel/qcoreapplication.cpp:953
#92 0xb6358b53 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#93 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x8f2b420, event=0xbff2a884, alienWidget=0x8f2b420, nativeWidget=0x93cf400, buttonDown=buttonDown@entry=0xb6cc9ce4 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#94 0xb63dc778 in QETWidget::translateMouseEvent (this=0x93cf400, event=event@entry=0xbff2aaac) at kernel/qapplication_x11.cpp:4634
#95 0xb63dbec5 in QApplication::x11ProcessEvent (this=0xbff2ae10, event=event@entry=0xbff2aaac) at kernel/qapplication_x11.cpp:3627
#96 0xb6407524 in x11EventSourceDispatch (s=0x8c1afa8, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#97 0xb24d91e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#98 0xb24d9468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#99 0xb24d9528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#100 0xb5e2593b in QEventDispatcherGlib::processEvents (this=this@entry=0x8bdeeb8, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#101 0xb64075de in QGuiEventDispatcherGlib::processEvents (this=0x8bdeeb8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#102 0xb5df4823 in QEventLoop::processEvents (this=this@entry=0xbff2ad68, flags=...) at kernel/qeventloop.cpp:149
#103 0xb5df4b49 in QEventLoop::exec (this=this@entry=0xbff2ad68, flags=...) at kernel/qeventloop.cpp:204
#104 0xb5dfa8fe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#105 0xb6350a24 in QApplication::exec () at kernel/qapplication.cpp:3828
#106 0x08051e9b in main (argc=1, argv=0xbff2aef4) at /build/buildd/muon-2.2.0/discover/main.cpp:85

Possible duplicates by query: bug 330999, bug 330637, bug 330615, bug 330486, bug 330407.

Reported using DrKonqi
Comment 1 Harald Sitter 2014-04-24 08:10:57 UTC
Git commit 5baccc9bfd63ab39505b09ab042002d226d515e4 by Harald Sitter.
Committed on 24/04/2014 at 08:10.
Pushed by sitter into branch '2.2'.

Prevent crashes on source entries that contain a line like "##"

Simply ensure that while we are stripping # the string retains the
QString::at(i) requirement of i being a valid index (which requires the
size() to be greater than 0 for us).

Random note: while size>0 is equal to !isEmpty, the ::at() documentation
specifically ties the validity of index to size, so for clarity's sake I am
using size>0 rather than !isEmpty.

FIXED-IN: 2.2.1

M  +1    -1    src/sourceentry.cpp
M  +1    -0    tests/data/test1.list
M  +15   -2    tests/sourceslisttest.cpp

http://commits.kde.org/libqapt/5baccc9bfd63ab39505b09ab042002d226d515e4
Comment 2 umersm401 2014-04-28 05:38:40 UTC
Created attachment 86308 [details]
New crash information added by DrKonqi

muon-discover (2.2.0) on KDE Platform 4.13.0 using Qt 4.8.6

- What I was doing when the application crashed:
	I opened Muon Discover and clicked the sources tab.
- Custom settings of the application:
	I noticed this happening after I changed my sources with synaptic package manager so it's most likely related to that. But it's not a bug from Synaptic itself as I could reproduce the bug after removing Synaptic and its configuration files so possibly difficulty in reading the sources lists.

-- Backtrace (Reduced):
#6  0x00007fc4b6c8ef79 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007fc4b6c92388 in __GI_abort () at abort.c:89
[...]
#11 0x00007fc3ff7be150 in at (i=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qstring.h:699
#12 QApt::SourceEntryPrivate::parseData (this=0x24dac50, data=...) at /build/buildd/libqapt-2.1.70/src/sourceentry.cpp:90
#13 0x00007fc3ff7bec45 in SourceEntryPrivate (fileName=..., lineData=..., this=0x24dac50) at /build/buildd/libqapt-2.1.70/src/sourceentry.cpp:50